{% extends "admin/base_site.html" %}
{% load i18n admin_urls admin_list menu mptt_tags%}{% load customadmin webpack_loader %}

{% block bodyclass %}{{ block.super }} menus-menu-editor{% endblock %}

{% block breadcrumbs %}<div class="breadcrumbs"><a href="{% url 'admin:index' %}">{% trans 'Home' %}</a> &rsaquo; Menus</div>{% endblock %}

{% block customstyle %}{{block.super}}{% render_bundle 'menus' 'css' 'CUSTOMADMIN' %}{% endblock customstyle %}

{% block body-end %}
{{block.super}}
{% if has_change_permission %}{% render_bundle 'menus' 'js' 'CUSTOMADMIN' %}{% endif %}
{% endblock body-end %}

{% block content %}
<div id="content-main" class="menus-menu-editor">
    {% if not has_change_permission %}
    <p class="quiet">You do not have permission to configure the website menu </p>
    {% else %}
    <p class="quiet">Organize items in your site's menu.</p>
    {% endif %}

    {# json data for menu edtior app - provided by the "menu_app_json" templatetag #}
    <script id="menu_app_json" type="application/json">{% menu_app_json %}</script>

    <div
        id="menu-editor-app"
        data-move_url="{% url 'admin:menus_menuitem_move' %}"
        data-add_object_url="{% url 'admin:menus_menuitem_add_object' %}"
        data-add_menuitem_url="{% url 'admin:menus_menuitem_add_item' %}"
        data-delete_menuitem_url="{% url 'admin:menus_menuitem_delete_item' %}">
    </div>
</div>
{% endblock %}
